Subject: bug#48636: Gajim does not load the "close" icon on the chat window

From: Joshua Branson <[email-masked]>
Date: Tue, 20 Dec 2022 09:05:45 -0500

"bdju" <[email-masked]> writes:

> On Mon May 24, 2021 at 6:48 PM CDT, Joshua Branson via Bug reports for GNU Guix wrote:
>>
>> Other clues that the chat on irc disclosed:
>> (org.gajim.Gajim:6250): Gtk-WARNING **: 14:31:46.574: Could not find the
>> icon 'org.gajim.Gajim'. The 'hicolor' theme
>> was not found either, perhaps you need to install it.
>> 05/21/2021 14:31:46 (W) gajim.plugin_system Error while loading module:
>> gtk-icon-theme-error-quark: Icon 'preferences-system' not present in
>> theme Adwaita (0)
> I have adwaita-icon-theme and hicolor-icon-theme in my system profile,
> which I think makes some gtk stuff play nicer. I would suggest
> installing them if you don't have them. Especially hicolor, since it's
> mentioned in your error output. I also have gnome-themes-standard and
> gnome-themes-extra, so those may also be worth installing if the other
> things don't do the trick. IIRC some gtk themes don't stand completely
> on their own, and so they'll have missing bits if you don't have some of
> the basic ones like adwaita. It's also possible you don't have any icon
> themes at all.
> Perhaps the hicolor icons should be made a dependency so users don't
> have to figure this out on their own. I recall another package getting
> that treatment a while back.

I have stopped using gajim.  I find dino to be 2x as stable.  I am
closing this bug report.

Joshua